package pl.alx.modul.api;

import pl.alx.modul.impl.WizytowkaOkienkowa;
import pl.alx.modul.impl.WizytowkaTekstowa;

public interface Wizytowka {
	
	public void wyswietlSie();
	
	
	public static Wizytowka pobierz(String rodzaj) {
		switch(rodzaj) {
		case "tekstowa": return new WizytowkaTekstowa();
		case "okienkowa": return new WizytowkaOkienkowa();
		default: return null;
		}
	}

}
